%define major 2
%define libname %mklibname celt0_ %{major}
%define develname %mklibname -d celt0
%define olddevname %mklibname -d celt

Summary:	Ultra-low delay audio codec
Name:		celt
Version:	0.11.3
Release:	%mkrel 11
Source0:	https://downloads.xiph.org/releases/celt/%{name}-%{version}.tar.gz
License:	BSD
Group:		Sound/Utilities
Url:		https://www.celt-codec.org/
BuildRequires:	pkgconfig(ogg)

%description
The CELT codec is an experimental audio codec for use in low-delay
speech and audio communication.

CELT stands for "Constrained Energy Lapped Transform". It applies some
of the CELP principles, but does everything in the frequency domain,
which removes some of the limitations of CELP. CELT is suitable for
both speech and music and currently features:

* Ultra-low latency (typically from 3 to 9 ms)
* Full audio bandwidth (44.1 kHz and 48 kHz)
* Support for both voice and music
* Stereo support
* Packet loss concealment
* Constant bit-rates from 32 kbps to 128 kbps and above
* A fixed-point version of the encoder and decoder

The CELT codec is meant to close the gap between Vorbis and Speex for
applications where both high quality audio and low delay are desired.

%package -n	%{libname}
Summary: 	Ultra-low delay audio codec - shared library
Group:		System/Libraries

%description -n	%{libname}
The CELT codec is an experimental audio codec for use in low-delay
speech and audio communication.

CELT stands for "Constrained Energy Lapped Transform". It applies some
of the CELP principles, but does everything in the frequency domain,
which removes some of the limitations of CELP. CELT is suitable for
both speech and music and currently features:

* Ultra-low latency (typically from 3 to 9 ms)
* Full audio bandwidth (44.1 kHz and 48 kHz)
* Support for both voice and music
* Stereo support
* Packet loss concealment
* Constant bit-rates from 32 kbps to 128 kbps and above
* A fixed-point version of the encoder and decoder

The CELT codec is meant to close the gap between Vorbis and Speex for
applications where both high quality audio and low delay are desired.

%package -n	%{develname}
Summary: 	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
%rename		%{olddevname}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.


%prep
%setup -q

%build
# to recognize aarch64
autoreconf -vfi

%configure --disable-static
%make_build

%install
%make_install
rm -f %{buildroot}%{_libdir}/*.la

%files
%doc README TODO
%{_bindir}/celtdec
%{_bindir}/celtenc

%files -n %{libname}
%doc README COPYING
%{_libdir}/libcelt0.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/libcelt0.so


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.11.3-11.mga10
+ Revision: 2195219
- Mageia 10 Mass Rebuild

* Mon Mar 14 2022 umeabot <umeabot> 0.11.3-10.mga9
+ Revision: 1791567
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.11.3-9.mga8
+ Revision: 1511218
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sat Sep 22 2018 umeabot <umeabot> 0.11.3-8.mga7
+ Revision: 1296047
- Mageia 7 Mass Rebuild

* Sun Jun 03 2018 wally <wally> 0.11.3-7.mga7
+ Revision: 1233894
- fix build on aarch64

* Thu Feb 04 2016 umeabot <umeabot> 0.11.3-6.mga6
+ Revision: 934989
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.11.3-5.mga5
+ Revision: 744764
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 0.11.3-4.mga5
+ Revision: 693584
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 0.11.3-3.mga5
+ Revision: 678347
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.11.3-2.mga4
+ Revision: 528344
- Mageia 4 Mass Rebuild

* Tue Jun 18 2013 fwang <fwang> 0.11.3-1.mga4
+ Revision: 444611
- disable test as the test is not updated through new api
- new version 0.11.3

* Fri Jan 11 2013 umeabot <umeabot> 0.11.1-3.mga3
+ Revision: 347566
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 29 2012 malo <malo> 0.11.1-2.mga3
+ Revision: 322757
- update RPM group
+ luigiwalser <luigiwalser>
- re-enable test suite

* Fri Jul 15 2011 ahmad <ahmad> 0.11.1-1.mga2
+ Revision: 124399
- Update to 0.11.1
- Disable static build
+ saispo <saispo>
- Remove unneeded macros
- Back to 0.10.0 and create a separate package for 0.5.1.3
- Update to 0.5.1.3
+ dmorgan <dmorgan>
- Remove mdv macros
- imported package celt


* Fri Dec 24 2010 Götz Waschk <waschk@mandriva.org> 0.10.0-1mdv2011.0
+ Revision: 624463
- update to new version 0.10.0

* Wed Nov 17 2010 Götz Waschk <waschk@mandriva.org> 0.9.1-1mdv2011.0
+ Revision: 598364
- update to new version 0.9.1

* Mon Nov 08 2010 Götz Waschk <waschk@mandriva.org> 0.9.0-1mdv2011.0
+ Revision: 595067
- update to new version 0.9.0

* Mon Jul 19 2010 Götz Waschk <waschk@mandriva.org> 0.8.1-1mdv2011.0
+ Revision: 554923
- new version
- new major

* Wed Jan 27 2010 Götz Waschk <waschk@mandriva.org> 0.7.1-1mdv2010.1
+ Revision: 496957
- new version
- rename library package

* Fri Nov 06 2009 Götz Waschk <waschk@mandriva.org> 0.7.0-1mdv2010.1
+ Revision: 460846
- update to new version 0.7.0

* Sat Jul 18 2009 Frederik Himpe <fhimpe@mandriva.org> 0.6.1-1mdv2010.0
+ Revision: 397199
- update to new version 0.6.1

* Mon Jul 06 2009 Frederik Himpe <fhimpe@mandriva.org> 0.6.0-1mdv2010.0
+ Revision: 393056
- update to new version 0.6.0

* Wed Feb 18 2009 Götz Waschk <waschk@mandriva.org> 0.5.2-1mdv2009.1
+ Revision: 342437
- update to new version 0.5.2

* Fri Dec 19 2008 Götz Waschk <waschk@mandriva.org> 0.5.1-1mdv2009.1
+ Revision: 316058
- update to new version 0.5.1

* Mon Nov 03 2008 Götz Waschk <waschk@mandriva.org> 0.5.0-1mdv2009.1
+ Revision: 299451
- import celt


